<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="@dimen/keyboard_content_height"
    android:orientation="vertical"
    tools:background="@mipmap/bg_keyboard"
    tools:layout_height="wrap_content">

    <FrameLayout
        android:id="@+id/tar_bar_layout"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center_horizontal"
        android:layout_marginStart="10dp"
        android:layout_marginTop="14dp"
        android:layout_marginEnd="10dp"
        android:layout_marginBottom="14dp"
        android:background="@drawable/bg_tab_indicator"
        android:paddingStart="2.5dp"
        android:paddingTop="2dp"
        android:paddingEnd="2.5dp"
        android:paddingBottom="2dp">

        <net.lucode.hackware.magicindicator.MagicIndicator
            android:id="@+id/magic_indicator"
            android:layout_width="wrap_content"
            android:layout_height="@dimen/common_navigator_height"
            android:layout_gravity="center" />
    </FrameLayout>

    <LinearLayout
        android:id="@+id/keyboard_key_content"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">

            <com.atmob.keyboard_android.component.base.RouteComponent
                android:id="@+id/prologue_route_component"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginStart="10dp"
                android:layout_marginEnd="3dp"
                android:layout_weight="1">

                <com.atmob.keyboard_android.component.base.FakeComponent
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">

                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/key_list"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        tools:layout_height="150dp" />
                </com.atmob.keyboard_android.component.base.FakeComponent>

                <com.atmob.keyboard_android.component.child.impl.ai.PrologueAiChatComponent
                    android:id="@+id/prologue_ai_chat_component"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:visibility="gone"
                    app:uic_component_name="prologue.AiChatComponent"
                    tools:visibility="visible" />
            </com.atmob.keyboard_android.component.base.RouteComponent>

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginEnd="10dp"
                android:orientation="vertical">

                <com.atmob.keyboard_android.widget.LongTouchContainer
                    android:id="@+id/delete_btn"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginBottom="6dp">

                    <TextView
                        style="@style/keyboard_action_btn"
                        android:layout_marginBottom="0dp"
                        android:text="@string/delete" />
                </com.atmob.keyboard_android.widget.LongTouchContainer>

                <TextView
                    android:id="@+id/clear_btn"
                    style="@style/keyboard_action_btn"
                    android:text="@string/clear" />

                <TextView
                    android:id="@+id/send_btn"
                    style="@style/keyboard_action_btn"
                    android:text="@string/send" />
            </LinearLayout>
        </LinearLayout>
    </LinearLayout>
</LinearLayout>